| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | List of all members
NTuple::Item< TYP > Class Template Reference

Class acting as a smart pointer holding a N tuple _Item. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Item< TYP >:
[legend]
Collaboration diagram for NTuple::Item< TYP >:
[legend]

## Public Member Functions
| Item ()=default
| Standard Constructor. More...
| operator const TYP () const
| Automatic type conversion. More...
TYP | operator* ()
| Dereference operator for pointers. More...
const TYP | operator* () const
| Dereference operator for pointers(CONST) More...
Item & | operator++ ()
Item & | operator++ (int)
Item & | operator-- ()
Item & | operator-- (int)
Item & | operator= (const TYP data)
| Assignment operator. More...
template<class T >
Item & | operator= (const Item< T > &data)
| Assignment operator. More...
Item< TYP > & | operator+= (const TYP data)
Item< TYP > & | operator-= (const TYP data)
Item< TYP > & | operator*= (const TYP data)
Item< TYP > & | operator/= (const TYP data)
Public Member Functions inherited from NTuple::_Accessor< _Item< TYP > >
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
_Item< TYP > * | operator-> ()
| Dereference operator. More...
const _Item< TYP > * | operator-> () const
| Dereference operator (CONST) More...
const Range< _Item< TYP > > & | range () const
| Access the range. More...

## Private Types
typedef Item< TYP > | _My

## Additional Inherited Members
Protected Attributes inherited from NTuple::_Accessor< _Item< TYP > >
_Item< TYP > * | m_ptr
| Pointer to instance. More...

## Detailed Description

### template<class TYP>
class NTuple::Item< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 42 of file NTuple.h.

## Member Typedef Documentation

template<class TYP>

typedef Item<TYP> NTuple::Item< TYP >::_My
| private

Definition at line 251 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Item< TYP >::Item | ( |  | ) |
| default

Standard Constructor.

## Member Function Documentation

template<class TYP>

NTuple::Item< TYP >::operator const TYP | ( |  | ) | const
| inline

Automatic type conversion.

Definition at line 256 of file NTuple.h.

256 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

TYP NTuple::Item< TYP >::operator* | ( |  | ) |
| inline

Dereference operator for pointers.

Definition at line 258 of file NTuple.h.

258 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

const TYP NTuple::Item< TYP >::operator* | ( |  | ) | const
| inline

Dereference operator for pointers(CONST)

Definition at line 260 of file NTuple.h.

260 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator*= | ( | const TYP | data | ) |
| inline

Definition at line 285 of file NTuple.h.

285 {
286 this->m_ptr->set ( this->m_ptr->get() * data );
287 return *this;
288 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( |  | ) |
| inline

Definition at line 262 of file NTuple.h.

262 { return *this += TYP(1); }
template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( | int |  | ) |
| inline

Definition at line 263 of file NTuple.h.

263 { return *this += TYP(1); }
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator+= | ( | const TYP | data | ) |
| inline

Definition at line 277 of file NTuple.h.

277 {
278 this->m_ptr->set ( this->m_ptr->get() + data );
279 return *this;
280 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( |  | ) |
| inline

Definition at line 264 of file NTuple.h.

264 { return *this -= TYP(1); }
template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( | int |  | ) |
| inline

Definition at line 265 of file NTuple.h.

265 { return *this -= TYP(1); }
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator-= | ( | const TYP | data | ) |
| inline

Definition at line 281 of file NTuple.h.

281 {
282 this->m_ptr->set ( this->m_ptr->get() - data );
283 return *this;
284 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator/= | ( | const TYP | data | ) |
| inline

Definition at line 289 of file NTuple.h.

289 {
290 this->m_ptr->set ( this->m_ptr->get() / data );
291 return *this;
292 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>

Item& NTuple::Item< TYP >::operator= | ( | const TYP | data | ) |
| inline

Assignment operator.

Definition at line 267 of file NTuple.h.

267 {
268 this->m_ptr->set( data );
269 return *this;
270 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230
template<class TYP>
template<class T >

Item& NTuple::Item< TYP >::operator= | ( | const Item< T > & | data | ) |
| inline

Assignment operator.

Definition at line 273 of file NTuple.h.

273 {
274 this->m_ptr->set( data->get() );
275 return *this;
276 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:230

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h